- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Evas_Event_Key_Up Struct Reference

Key release event. More...

## Data Fields
char * | keyname
| the name string of the key released
void * | data
Evas_Modifier * | modifiers
| modifier keys pressed during the event
Evas_Lock * | locks
const char * | key
| The logical key : (eg shift+1 == exclamation)
const char * | string
| A UTF8 string if this keystroke has produced a visible string to be ADDED.
const char * | compose
| A UTF8 string if this keystroke has modified a string in the middle of being composed - this string replaces the previous one.
unsigned int | timestamp
Evas_Event_Flags | event_flags
Evas_Device * | dev

## Detailed Description

Key release event.